GNU logs - #56512, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Ronak B <ronakworks@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 05:20:02 +0000
Resent-Message-ID: <handler.56512.B.16576031704955 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 56512 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16576031704955
          (code B ref -1); Tue, 12 Jul 2022 05:20:02 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jul 2022 05:19:30 +0000
Received: from localhost ([127.0.0.1]:41458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oB8Iz-0001Hq-Kh
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 01:19:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:40052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ronakworks@HIDDEN>) id 1oB42L-0008UJ-0j
 for submit <at> debbugs.gnu.org; Mon, 11 Jul 2022 20:46:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52682)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ronakworks@HIDDEN>)
 id 1oB42I-0004En-PV
 for bug-guix@HIDDEN; Mon, 11 Jul 2022 20:46:00 -0400
Received: from mail-pf1-x429.google.com ([2607:f8b0:4864:20::429]:38597)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ronakworks@HIDDEN>)
 id 1oB42F-0002bd-1M
 for bug-guix@HIDDEN; Mon, 11 Jul 2022 20:45:57 -0400
Received: by mail-pf1-x429.google.com with SMTP id o12so6145390pfp.5
 for <bug-guix@HIDDEN>; Mon, 11 Jul 2022 17:45:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=Ut9Wvf73tfNxFjwv5rDqvjLN9rdEfE9wJTRxEIF8Gg0=;
 b=dUoeaofMpuSjy2yBqHK++9sNxNCQkUUjy1JBd6UetEiijdmogf1SxOhtfTK1PNCiw9
 nbG0o80KFmd9H2LGI4Xlg5VLjvdH4NFrl7QW4tX38xYm0diQKziDHrtilnNwHqvd5XLS
 GgqgNfux3hcYDVSHw0RDI8unS1aR9K0Ex/PBT0wyaQNu8is/Bc14qkFkRDJ0+n0KDG7B
 e6tRHfpThqU2qThPiSV2Zx3KqHOwmmMPClwT+rnWZFR0BXREQgUXHfFCDYH2fcy0WPbO
 zrPjcDZ3LQmoZCi4hcFvr5QmsYF5gT0n+us4S6zW9EmZu5AmvfPe/5rJbquSECl9Q+Up
 RlCQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Ut9Wvf73tfNxFjwv5rDqvjLN9rdEfE9wJTRxEIF8Gg0=;
 b=PfdbQ6nEv3GEc9PXK0sipPfSpZZTsw7Gt+ecwFyN1Z/mDfEXzUClN9BgPSQeklSl3W
 VExSVbYa8VbSAWLqfZDfbJuJQX0C0j9ctfgCim3VGbuTaKDNv2lmFRc7dnc9r7f+NZj3
 X8AIVH3y89cmdRESh7Ch/nye+cKTNhbwdFOe4ZkWr+R7FliF5fWOQiAPu1k9ZAE0I+y8
 mqKOE0fKmJC1JIJsnCwl2ORjFFV7ydVr9Mh+ky1/V1HegAH0/S/rwyzB3xroott+t3l/
 2G/R85ItHhX3mRqoXi6+85s3nxNZKKA7e/QoXJsUrBfimH4MStV/WQGDNu37OB2DFMEK
 L5/A==
X-Gm-Message-State: AJIora9bZnFAZvuYW2QRyQi/xuLfn5+AWSp6tt6pC8bwpbkLMse5pNbE
 KNlrhK/OnbXsZL/Dsut2JZCe9aj7Ql4SUvTfRYeM4lAd8+k=
X-Google-Smtp-Source: AGRyM1vSSWpuMDHoE36ogyJtUiWxcxYH/P62Tf0pA1LTfz2Rh+FwTWqaUfL07xig2+qecVbvYb/Hd9cDCvuNNgIDvn8=
X-Received: by 2002:a63:8ac2:0:b0:412:acff:1f4f with SMTP id
 y185-20020a638ac2000000b00412acff1f4fmr17705208pgd.489.1657586751433; Mon, 11
 Jul 2022 17:45:51 -0700 (PDT)
MIME-Version: 1.0
From: Ronak B <ronakworks@HIDDEN>
Date: Mon, 11 Jul 2022 19:45:38 -0500
Message-ID: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000080ef4405e390fde8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::429;
 envelope-from=ronakworks@HIDDEN; helo=mail-pf1-x429.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Mailman-Approved-At: Tue, 12 Jul 2022 01:19:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000080ef4405e390fde8
Content-Type: text/plain; charset="UTF-8"

Hi, I noticed today when I typed "man cat" and clicked on the "http://"
link in the man page that it did not redirect my browser from http to https.

$ curl -I http://www.gnu.org/software/coreutils/
HTTP/1.1 200 OK
Date: Tue, 12 Jul 2022 00:42:26 GMT
Server: Apache/2.4.29
Content-Location: coreutils.html
Vary: negotiate,Accept-Encoding
TCN: choice
Strict-Transport-Security: max-age=63072000; includeSubDomains; preload
X-Frame-Options: sameorigin
X-Content-Type-Options: nosniff
Access-Control-Allow-Origin: (null)
Accept-Ranges: bytes
Cache-Control: max-age=0
Expires: Tue, 12 Jul 2022 00:42:26 GMT
Content-Type: text/html
Content-Language: en

I also noticed this previous recent issue where this was resolved using an
nginx redirect from port 80 to 443 for *.guix.info

https://issues.guix.gnu.org/37348

Could we do this for all *.gnu.org too ?

After the domain and all of its subdomains are on HTTPS, then gnu.org can
also be added to the HSTS preload list.

https://hstspreload.org/

Best,
Ronak

--00000000000080ef4405e390fde8
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi, I noticed today when I typed &quot;man cat&quot; =
and clicked on the &quot;http://&quot; link in the man page that it did not=
 redirect my browser from http to https.</div><div><br></div><div style=3D"=
margin-left:40px">$ curl -I <a href=3D"http://www.gnu.org/software/coreutil=
s/">http://www.gnu.org/software/coreutils/</a><br>HTTP/1.1 200 OK<br>Date: =
Tue, 12 Jul 2022 00:42:26 GMT<br>Server: Apache/2.4.29<br>Content-Location:=
 coreutils.html<br>Vary: negotiate,Accept-Encoding<br>TCN: choice<br>Strict=
-Transport-Security: max-age=3D63072000; includeSubDomains; preload<br>X-Fr=
ame-Options: sameorigin<br>X-Content-Type-Options: nosniff<br>Access-Contro=
l-Allow-Origin: (null)<br>Accept-Ranges: bytes<br>Cache-Control: max-age=3D=
0<br>Expires: Tue, 12 Jul 2022 00:42:26 GMT<br>Content-Type: text/html<br>C=
ontent-Language: en</div><div><br></div><div>I also noticed this previous r=
ecent issue where this was resolved using an nginx redirect from port 80 to=
 443 for *.<a href=3D"http://guix.info">guix.info</a></div><div><br></div><=
div><a href=3D"https://issues.guix.gnu.org/37348">https://issues.guix.gnu.o=
rg/37348</a></div><div><br></div><div>Could we do this for all *.<a href=3D=
"http://gnu.org">gnu.org</a> too ?</div><div><br></div><div>After the domai=
n and all of its subdomains are on HTTPS, then <a href=3D"http://gnu.org">g=
nu.org</a> can also be added to the HSTS preload list.</div><div><br></div>=
<div><a href=3D"https://hstspreload.org/">https://hstspreload.org/</a></div=
><div><br></div><div>Best,</div><div>Ronak<br></div></div>

--00000000000080ef4405e390fde8--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ronak B <ronakworks@HIDDEN>
Subject: bug#56512: Acknowledgement (gnu.org does not redirect http to https)
Message-ID: <handler.56512.B.16576031704955.ack <at> debbugs.gnu.org>
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
X-Gnu-PR-Message: ack 56512
X-Gnu-PR-Package: guix
Reply-To: 56512 <at> debbugs.gnu.org
Date: Tue, 12 Jul 2022 05:20:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 56512 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
56512: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D56512
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Julien Lepiller <julien@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 10:20:02 +0000
Resent-Message-ID: <handler.56512.B56512.16576211993662 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ronak B <ronakworks@HIDDEN>, 56512 <at> debbugs.gnu.org
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.16576211993662
          (code B ref 56512); Tue, 12 Jul 2022 10:20:02 +0000
Received: (at 56512) by debbugs.gnu.org; 12 Jul 2022 10:19:59 +0000
Received: from localhost ([127.0.0.1]:41732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBCzm-0000x0-LA
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 06:19:58 -0400
Received: from lepiller.eu ([89.234.186.109]:43684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1oBCzk-0000wm-87
 for 56512 <at> debbugs.gnu.org; Tue, 12 Jul 2022 06:19:58 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 8875ad0e;
 Tue, 12 Jul 2022 10:19:53 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:subject:in-reply-to:references:message-id:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=ccGPiSbVzxj7
 NcYefFTcqFsRBPRVcMaOZZOZzHTkdSE=; b=Q1V53PW4SsIeOxXJRC6RjQaM5Jc3
 yBgP5BNn6vjkRS84UZC/DMcvUiMQ7ZbLR28mE76GnMrlh49gDEEKYtYJKgPqeXyS
 0h/CzY30UMtTlbPukmOoitB964ZHZ8Sa2TvzWNPkA8/7UR5xKvVnHvdHzgzSMVzX
 8PtnWlh87/vmhWAABtXlRtgdhw4dlUp7i3j4hJ1/8U7HOVSfORrCx+TB0AgB9snd
 6SYNLuWKl7GdGG69P28qN2Hd14ilFiFe3qseFRgPWAH+9I/2h8KMPyTMyb19DiiE
 1g+2nKQ1jj0C8TG5ZrAQPyecYpMl1Qkn/Jh7/RAPHq9O38Y1pnTDp5/WSA==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 7920b654
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 12 Jul 2022 10:19:53 +0000 (UTC)
Date: Tue, 12 Jul 2022 12:19:50 +0200
From: Julien Lepiller <julien@HIDDEN>
User-Agent: K-9 Mail for Android
In-Reply-To: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
Message-ID: <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary=----A2OD2U7YA0B5HHXMY5SUIEABI89VZM
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------A2OD2U7YA0B5HHXMY5SUIEABI89VZM
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Ronak,

Guix does not control the infrastructure behind the GNU project=2E You nee=
d to contact the GNU sysadmins, though I don't know how :)

Le 12 juillet 2022 02:45:38 GMT+02:00, Ronak B <ronakworks@gmail=2Ecom> a =
=C3=A9crit=C2=A0:
>Hi, I noticed today when I typed "man cat" and clicked on the "http://"
>link in the man page that it did not redirect my browser from http to htt=
ps=2E
>
>$ curl -I http://www=2Egnu=2Eorg/software/coreutils/
>HTTP/1=2E1 200 OK
>Date: Tue, 12 Jul 2022 00:42:26 GMT
>Server: Apache/2=2E4=2E29
>Content-Location: coreutils=2Ehtml
>Vary: negotiate,Accept-Encoding
>TCN: choice
>Strict-Transport-Security: max-age=3D63072000; includeSubDomains; preload
>X-Frame-Options: sameorigin
>X-Content-Type-Options: nosniff
>Access-Control-Allow-Origin: (null)
>Accept-Ranges: bytes
>Cache-Control: max-age=3D0
>Expires: Tue, 12 Jul 2022 00:42:26 GMT
>Content-Type: text/html
>Content-Language: en
>
>I also noticed this previous recent issue where this was resolved using a=
n
>nginx redirect from port 80 to 443 for *=2Eguix=2Einfo
>
>https://issues=2Eguix=2Egnu=2Eorg/37348
>
>Could we do this for all *=2Egnu=2Eorg too ?
>
>After the domain and all of its subdomains are on HTTPS, then gnu=2Eorg c=
an
>also be added to the HSTS preload list=2E
>
>https://hstspreload=2Eorg/
>
>Best,
>Ronak

------A2OD2U7YA0B5HHXMY5SUIEABI89VZM
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body>Hi Ronak,<br><br>Guix does not control the infrast=
ructure behind the GNU project=2E You need to contact the GNU sysadmins, th=
ough I don't know how :)<br><br><div class=3D"gmail_quote">Le 12 juillet 20=
22 02:45:38 GMT+02:00, Ronak B &lt;ronakworks@gmail=2Ecom&gt; a =C3=A9crit=
=C2=A0:<blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8=
ex; border-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<div dir=3D"ltr"><div>Hi, I noticed today when I typed "man cat" and click=
ed on the "http://" link in the man page that it did not redirect my browse=
r from http to https=2E</div><div><br></div><div style=3D"margin-left:40px"=
>$ curl -I <a href=3D"http://www=2Egnu=2Eorg/software/coreutils/">http://ww=
w=2Egnu=2Eorg/software/coreutils/</a><br>HTTP/1=2E1 200 OK<br>Date: Tue, 12=
 Jul 2022 00:42:26 GMT<br>Server: Apache/2=2E4=2E29<br>Content-Location: co=
reutils=2Ehtml<br>Vary: negotiate,Accept-Encoding<br>TCN: choice<br>Strict-=
Transport-Security: max-age=3D63072000; includeSubDomains; preload<br>X-Fra=
me-Options: sameorigin<br>X-Content-Type-Options: nosniff<br>Access-Control=
-Allow-Origin: (null)<br>Accept-Ranges: bytes<br>Cache-Control: max-age=3D0=
<br>Expires: Tue, 12 Jul 2022 00:42:26 GMT<br>Content-Type: text/html<br>Co=
ntent-Language: en</div><div><br></div><div>I also noticed this previous re=
cent issue where this was resolved using an nginx redirect from port 80 to =
443 for *=2E<a href=3D"http://guix=2Einfo">guix=2Einfo</a></div><div><br></=
div><div><a href=3D"https://issues=2Eguix=2Egnu=2Eorg/37348">https://issues=
=2Eguix=2Egnu=2Eorg/37348</a></div><div><br></div><div>Could we do this for=
 all *=2E<a href=3D"http://gnu=2Eorg">gnu=2Eorg</a> too ?</div><div><br></d=
iv><div>After the domain and all of its subdomains are on HTTPS, then <a hr=
ef=3D"http://gnu=2Eorg">gnu=2Eorg</a> can also be added to the HSTS preload=
 list=2E</div><div><br></div><div><a href=3D"https://hstspreload=2Eorg/">ht=
tps://hstspreload=2Eorg/</a></div><div><br></div><div>Best,</div><div>Ronak=
<br></div></div>
</blockquote></div></body></html>
------A2OD2U7YA0B5HHXMY5SUIEABI89VZM--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Akib Azmain Turja <akib@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 11:06:01 +0000
Resent-Message-ID: <handler.56512.B56512.16576239078700 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Julien Lepiller <julien@HIDDEN>, Ronak B <ronakworks@HIDDEN>, 56512 <at> debbugs.gnu.org
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.16576239078700
          (code B ref 56512); Tue, 12 Jul 2022 11:06:01 +0000
Received: (at 56512) by debbugs.gnu.org; 12 Jul 2022 11:05:07 +0000
Received: from localhost ([127.0.0.1]:41748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBDhT-0002GG-Jl
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 07:05:07 -0400
Received: from knopi.disroot.org ([178.21.23.139]:55556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akib@HIDDEN>) id 1oBDhR-0002G6-OF
 for 56512 <at> debbugs.gnu.org; Tue, 12 Jul 2022 07:05:07 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 6141C40D7D;
 Tue, 12 Jul 2022 13:05:04 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with UTF8SMTP id 302QhMAnJmdg; Tue, 12 Jul 2022 13:05:02 +0200 (CEST)
From: Akib Azmain Turja <akib@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1657623856; bh=kJeHhJ/bo4puBsrZhyPW/WaZ1q3rwkw1ABvZ8sbUn2c=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=TtB9/xa9983YWCXtVqqno0ViZJ8IAcHDnZUQj21s8h3PQpWMTRnDA7XDSqOyBkZBi
 s5I0SC0Hy7SkfGpxZqdaXqCPC+SEEXG46OJjayXKbI1VvJ05liY6Xti7yEDG8oxi/3
 wqYRZKQypERbCnppCiWcplPVqinN3PWBfmDJlpuvqWW8WqJLX1QnnxaA/my8EAXvl+
 IlUiBKA9qtKNVvpAPOZdiur+hPuiLUK4UlxxYBNv3KRZAAcGB1EqPPayP8wFI8I6j7
 0NylruofWKK6Cnun/4zXR0HrPPto4lw1vePgtYU+qiIU+X2HrNwAkxmpNL0Er2VOTL
 lyaBL6ys0S7Xg==
In-Reply-To: <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
Date: Tue, 12 Jul 2022 17:03:53 +0600
Message-ID: <87czea1tk6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Julien Lepiller <julien@HIDDEN> writes:

> Guix does not control the infrastructure behind the GNU project. You need=
 to contact the GNU sysadmins, though I don't know how :)

Check out <https://www.gnu.org/contact/>, it contains some information
that might be interesting to you.

Quoting from that page:

> Security reports=20
> for gnu.org or one of its subdomains
>=20
> * If you have GnuPG setup, send encrypted email the FSF Executive
>   Director, Deputy Director, Web Developer, and Senior Sysadmins
>   listed on our Staff and Board page.
> * If you don't have GnuPG setup, write to <sysadmin@HIDDEN>.

And obviously, there is Richard Stallman <rms@HIDDEN>.

=2D-=20
Akib Azmain Turja

This message is signed by me with my GnuPG key.  It's fingerprint is:

    7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEyVTKmrtL6kNBe3FRVTX89U2IYWsFAmLNVRkACgkQVTX89U2I
YWsusg//V2EI/4AHrf+NsVoWZlQ3mSUinIFzhEZbDeqKZDuR6p8lELNXXtbd9Ygr
SJqfI/bWUSL3gF0Uocmdq91ntlJsQJ3+VxJgY6kiWnvJiAaqvZv8ZdDSYU0lwR9j
3xtznvvNRsg8MuD++uyMiDLPZwc8+d28JF0KxeVoAi6Wi3v/RtUNzWoHkEslTGBn
G06hrUMLVqFMppIwWpByXFwlXOC7sizMMxLPfS1ARzVzHf9k3pdc7JQX7grc8Ft3
dARbukg2WsNo1ASXanVAzwO/ub+DstbSt/c221CA3mVXG81hYHpL4IvZGDANzBS/
5ulgNbeH/15N2H95qXlMvxP8d+as6+15od3COGD0O3QX3aKzaMAbrbQo7qjXJh8O
RM+p47h3dGv/kJuQ9psWr5ZOSA2pAkU6Kr3mlP9rVpk7Og4ZG5wvDI1eOZT/wfEJ
k3WVdMRb6GI6PHm12TrdAb9PSiZCRB0J11mhU3GWXUew4S7u6Kcsnie9upt8ZT3i
S1xFE6OEcFyfmq00naqiq5is5UdihWsxbNpcW3IqCKedxQDd1eULYzShmykztuM5
AlhR7bu7oWtzMI26eCKNLPsw80eeL1gyLeP+0ZsGomX8rZP0zIPPYz+HOIPbqgHi
kbw7X8Aq9Kg6RWIgppWMcGY9Srqhjn0B0I1Khm7iba0NhqJY6HM=
=QMTs
-----END PGP SIGNATURE-----
--=-=-=--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Ronak B <ronakworks@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 12:15:02 +0000
Resent-Message-ID: <handler.56512.B56512.165762806024013 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Akib Azmain Turja <akib@HIDDEN>
Cc: Julien Lepiller <julien@HIDDEN>, 56512 <at> debbugs.gnu.org
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.165762806024013
          (code B ref 56512); Tue, 12 Jul 2022 12:15:02 +0000
Received: (at 56512) by debbugs.gnu.org; 12 Jul 2022 12:14:20 +0000
Received: from localhost ([127.0.0.1]:41809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBEmR-0006FF-Px
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 08:14:20 -0400
Received: from mail-pf1-f175.google.com ([209.85.210.175]:39435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ronakworks@HIDDEN>) id 1oBEmN-0006Ez-7I
 for 56512 <at> debbugs.gnu.org; Tue, 12 Jul 2022 08:14:18 -0400
Received: by mail-pf1-f175.google.com with SMTP id j3so7322138pfb.6
 for <56512 <at> debbugs.gnu.org>; Tue, 12 Jul 2022 05:14:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=vP5UTB2zIvhSfti+DI4q3q/qBr916eZhNsHfnvHDan4=;
 b=eIEjdRxA9NystV7QLd8Isz52MsquDPUr/I5yOtJiKxRwoYm57PnMGw29aGbHCZ66nd
 buAAFFGg0Vs9yyI4etZsi9ArO89PaGJTdbY6WpkR/lnKZ9B/Ez6S0J/D0i7n4YhWw7Xa
 N3n1kOwgvMiP5fUQlyTEBcIeP6/qzlE6StBztWFMRJHbZWuhzIWt0JJkLaY/z0cD3W/m
 79TKUHkUpQfUGoIMocxLBIjNPOJat3VOMm+x51rfQBnpM1SI06vFbrgjXE+d/DVMh4Hq
 DQvxmfaeUxViypFC2TkdIERyiIW7BywCXo9vQDc1wMRotFMHlmEvHK0TAnzs95Ydg2W2
 mI9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=vP5UTB2zIvhSfti+DI4q3q/qBr916eZhNsHfnvHDan4=;
 b=kC5NTR/jSLBPOtFXT2blaHP22AghsPMSuNxMIi01GtYMba9yYEZrdYqwmY+7xQtOsv
 K7tvCg5CWA7XPkANEMZ34/sx0TJutdOxqRTri52H97BDAi0orUvcpoQMquErzrGWyVnB
 i73GxlPF+nuPSSSD2ikSELvwfnmU8CWrh6B5mMq4vDdb30Q+A2/Y1HV/k37HjnfKroeF
 CBAscoBcn4IgKGyWYTcnVHjEYavleC0kSRh15PhqsFJIPzXoqkvMFsxs9A2Mr0D0KUUx
 i/D+w9mhn1w4Q8J8NxE9oCIHDUtFr9KnWZ2gv+F/y0GA0c9YYOkQOvIgkc+jNczR5XKK
 tBlQ==
X-Gm-Message-State: AJIora9OcxBAd/6R/nUJmSR+LT4st/dz3cJE/y0/ASB3CDEjlTaCOV4O
 3in/O6K5kfHK+bFiD4bpn8uz5MUaaoXoO636EKQ=
X-Google-Smtp-Source: AGRyM1tAIMYNV4ALIpCxWSrJc88f4DgChJeueJSCJveMyw7kO4uqnLkwKY/s2qplKw+RCZ9H+rY4ofbOHXTeHelMIAY=
X-Received: by 2002:a63:8448:0:b0:412:a9f5:9db2 with SMTP id
 k69-20020a638448000000b00412a9f59db2mr20256592pgd.5.1657628049363; Tue, 12
 Jul 2022 05:14:09 -0700 (PDT)
MIME-Version: 1.0
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
In-Reply-To: <87czea1tk6.fsf@HIDDEN>
From: Ronak B <ronakworks@HIDDEN>
Date: Tue, 12 Jul 2022 07:13:57 -0500
Message-ID: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000000d7c4605e39a9bad"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000000d7c4605e39a9bad
Content-Type: text/plain; charset="UTF-8"

Thank you for the quick replies. Ok I will email the GNU project with
regard to the lack of a redirect.

I think we should change the man doc at least in all coreutils to use https
in the links instead of http.

Can we repurpose this ticket for that work or should we create a separate
ticket to update the man docs?

On Tue, Jul 12, 2022, 6:05 AM Akib Azmain Turja <akib@HIDDEN> wrote:

> Julien Lepiller <julien@HIDDEN> writes:
>
> > Guix does not control the infrastructure behind the GNU project. You
> need to contact the GNU sysadmins, though I don't know how :)
>
> Check out <https://www.gnu.org/contact/>, it contains some information
> that might be interesting to you.
>
> Quoting from that page:
>
> > Security reports
> > for gnu.org or one of its subdomains
> >
> > * If you have GnuPG setup, send encrypted email the FSF Executive
> >   Director, Deputy Director, Web Developer, and Senior Sysadmins
> >   listed on our Staff and Board page.
> > * If you don't have GnuPG setup, write to <sysadmin@HIDDEN>.
>
> And obviously, there is Richard Stallman <rms@HIDDEN>.
>
> --
> Akib Azmain Turja
>
> This message is signed by me with my GnuPG key.  It's fingerprint is:
>
>     7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5
>

--0000000000000d7c4605e39a9bad
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Thank you for the quick replies. Ok I will email the GNU =
project with regard to the lack of a redirect.<div dir=3D"auto"><br></div><=
div dir=3D"auto">I think we should change the man doc at least in all coreu=
tils to use https in the links instead of http.=C2=A0</div><div dir=3D"auto=
"><br></div><div dir=3D"auto">Can we repurpose this ticket for that work or=
 should we create a separate ticket to update the man docs?</div><div dir=
=3D"auto"><br></div><div class=3D"gmail_quote" dir=3D"auto"><div dir=3D"ltr=
" class=3D"gmail_attr">On Tue, Jul 12, 2022, 6:05 AM Akib Azmain Turja &lt;=
<a href=3D"mailto:akib@HIDDEN">akib@HIDDEN</a>&gt; wrote:<br></di=
v><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:=
1px #ccc solid;padding-left:1ex">Julien Lepiller &lt;<a href=3D"mailto:juli=
en@HIDDEN" target=3D"_blank" rel=3D"noreferrer">julien@HIDDEN</a>=
&gt; writes:<br>
<br>
&gt; Guix does not control the infrastructure behind the GNU project. You n=
eed to contact the GNU sysadmins, though I don&#39;t know how :)<br>
<br>
Check out &lt;<a href=3D"https://www.gnu.org/contact/" rel=3D"noreferrer no=
referrer" target=3D"_blank">https://www.gnu.org/contact/</a>&gt;, it contai=
ns some information<br>
that might be interesting to you.<br>
<br>
Quoting from that page:<br>
<br>
&gt; Security reports <br>
&gt; for <a href=3D"http://gnu.org" rel=3D"noreferrer noreferrer" target=3D=
"_blank">gnu.org</a> or one of its subdomains<br>
&gt; <br>
&gt; * If you have GnuPG setup, send encrypted email the FSF Executive<br>
&gt;=C2=A0 =C2=A0Director, Deputy Director, Web Developer, and Senior Sysad=
mins<br>
&gt;=C2=A0 =C2=A0listed on our Staff and Board page.<br>
&gt; * If you don&#39;t have GnuPG setup, write to &lt;<a href=3D"mailto:sy=
sadmin@HIDDEN" target=3D"_blank" rel=3D"noreferrer">sysadmin@HIDDEN</a>&g=
t;.<br>
<br>
And obviously, there is Richard Stallman &lt;<a href=3D"mailto:rms@HIDDEN"=
 target=3D"_blank" rel=3D"noreferrer">rms@HIDDEN</a>&gt;.<br>
<br>
-- <br>
Akib Azmain Turja<br>
<br>
This message is signed by me with my GnuPG key.=C2=A0 It&#39;s fingerprint =
is:<br>
<br>
=C2=A0 =C2=A0 7001 8CE5 819F 17A3 BBA6=C2=A0 66AF E74F 0EFA 922A E7F5<br>
</blockquote></div></div>

--0000000000000d7c4605e39a9bad--




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Csepp <raingloom@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 20:20:02 +0000
Resent-Message-ID: <handler.56512.B.165765718921957 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ronak B <ronakworks@HIDDEN>
Cc: 56512 <at> debbugs.gnu.org, julien@HIDDEN, akib@HIDDEN
X-Debbugs-Original-Cc: bug-guix@HIDDEN, Julien Lepiller <julien@HIDDEN>, 56512 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.165765718921957
          (code B ref -1); Tue, 12 Jul 2022 20:20:02 +0000
Received: (at submit) by debbugs.gnu.org; 12 Jul 2022 20:19:49 +0000
Received: from localhost ([127.0.0.1]:43695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBMMH-0005i4-8E
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 16:19:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:40492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1oBMMF-0005hp-Hu
 for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 16:19:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51594)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1oBMMF-0001y8-Bm
 for bug-guix@HIDDEN; Tue, 12 Jul 2022 16:19:47 -0400
Received: from mx1.riseup.net ([198.252.153.129]:45968)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1oBMMC-0002KS-SJ
 for bug-guix@HIDDEN; Tue, 12 Jul 2022 16:19:46 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4LjBtl2mmJzDrR2;
 Tue, 12 Jul 2022 20:19:43 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1657657183; bh=h7XqRXpdQi7dep3iqw7ri513u/8NBPaYNrwbe9Gx9AI=;
 h=References:From:To:Cc:Subject:Date:In-reply-to:From;
 b=SEACDaSWBds59VuQvpmviQfF2rNUzkgfsUS/dnH4ZL63BmEXMl57j7CXhaVOUPAA3
 9rTwDGTl3esc01+Swq7/Fp91xp6M3k+WfxWQc3ibGuXZDkuQSfQwlrE3+VspNgJ5A0
 wkbCgVT3kQijxtiKlzaU9u+1nM5/9VHy9krtP+e0=
X-Riseup-User-ID: 0FD3686E76EE71FF5C6B454519B89CA76FB4B428D9D35E9F0A85901F4DB52E15
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4LjBtk1dCLz1yTJ;
 Tue, 12 Jul 2022 20:19:42 +0000 (UTC)
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
From: Csepp <raingloom@HIDDEN>
Date: Tue, 12 Jul 2022 22:19:06 +0200
In-reply-to: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Message-ID: <87v8s2jd7o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=raingloom@HIDDEN; helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Ronak B <ronakworks@HIDDEN> writes:

> Thank you for the quick replies. Ok I will email the GNU project with regard to the lack of a redirect.
>
> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?
>
> On Tue, Jul 12, 2022, 6:05 AM Akib Azmain Turja <akib@HIDDEN> wrote:
>
>  Julien Lepiller <julien@HIDDEN> writes:
>
>  > Guix does not control the infrastructure behind the GNU project. You need to contact the GNU sysadmins, though I don't know how :)
>
>  Check out <https://www.gnu.org/contact/>, it contains some information
>  that might be interesting to you.
>
>  Quoting from that page:
>
>  > Security reports 
>  > for gnu.org or one of its subdomains
>  > 
>  > * If you have GnuPG setup, send encrypted email the FSF Executive
>  >   Director, Deputy Director, Web Developer, and Senior Sysadmins
>  >   listed on our Staff and Board page.
>  > * If you don't have GnuPG setup, write to <sysadmin@HIDDEN>.
>
>  And obviously, there is Richard Stallman <rms@HIDDEN>.
>
>  -- 
>  Akib Azmain Turja
>
>  This message is signed by me with my GnuPG key.  It's fingerprint is:
>
>      7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5

Remember that Guix now also has Tor mirrors which don't benefit from or
are hindered by HTTPS.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Csepp <raingloom@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 12 Jul 2022 20:20:03 +0000
Resent-Message-ID: <handler.56512.B56512.165765719221967 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ronak B <ronakworks@HIDDEN>
Cc: 56512 <at> debbugs.gnu.org, julien@HIDDEN, akib@HIDDEN
X-Debbugs-Original-Cc: bug-guix@HIDDEN, Julien Lepiller <julien@HIDDEN>, 56512 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.165765719221967
          (code B ref 56512); Tue, 12 Jul 2022 20:20:03 +0000
Received: (at 56512) by debbugs.gnu.org; 12 Jul 2022 20:19:52 +0000
Received: from localhost ([127.0.0.1]:43697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBMMK-0005iF-JS
	for submit <at> debbugs.gnu.org; Tue, 12 Jul 2022 16:19:52 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1oBMMG-0005hg-SP
 for 56512 <at> debbugs.gnu.org; Tue, 12 Jul 2022 16:19:49 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4LjBtl2mmJzDrR2;
 Tue, 12 Jul 2022 20:19:43 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1657657183; bh=h7XqRXpdQi7dep3iqw7ri513u/8NBPaYNrwbe9Gx9AI=;
 h=References:From:To:Cc:Subject:Date:In-reply-to:From;
 b=SEACDaSWBds59VuQvpmviQfF2rNUzkgfsUS/dnH4ZL63BmEXMl57j7CXhaVOUPAA3
 9rTwDGTl3esc01+Swq7/Fp91xp6M3k+WfxWQc3ibGuXZDkuQSfQwlrE3+VspNgJ5A0
 wkbCgVT3kQijxtiKlzaU9u+1nM5/9VHy9krtP+e0=
X-Riseup-User-ID: 0FD3686E76EE71FF5C6B454519B89CA76FB4B428D9D35E9F0A85901F4DB52E15
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4LjBtk1dCLz1yTJ;
 Tue, 12 Jul 2022 20:19:42 +0000 (UTC)
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
From: Csepp <raingloom@HIDDEN>
Date: Tue, 12 Jul 2022 22:19:06 +0200
In-reply-to: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Message-ID: <87v8s2jd7o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


Ronak B <ronakworks@HIDDEN> writes:

> Thank you for the quick replies. Ok I will email the GNU project with regard to the lack of a redirect.
>
> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?
>
> On Tue, Jul 12, 2022, 6:05 AM Akib Azmain Turja <akib@HIDDEN> wrote:
>
>  Julien Lepiller <julien@HIDDEN> writes:
>
>  > Guix does not control the infrastructure behind the GNU project. You need to contact the GNU sysadmins, though I don't know how :)
>
>  Check out <https://www.gnu.org/contact/>, it contains some information
>  that might be interesting to you.
>
>  Quoting from that page:
>
>  > Security reports 
>  > for gnu.org or one of its subdomains
>  > 
>  > * If you have GnuPG setup, send encrypted email the FSF Executive
>  >   Director, Deputy Director, Web Developer, and Senior Sysadmins
>  >   listed on our Staff and Board page.
>  > * If you don't have GnuPG setup, write to <sysadmin@HIDDEN>.
>
>  And obviously, there is Richard Stallman <rms@HIDDEN>.
>
>  -- 
>  Akib Azmain Turja
>
>  This message is signed by me with my GnuPG key.  It's fingerprint is:
>
>      7001 8CE5 819F 17A3 BBA6  66AF E74F 0EFA 922A E7F5

Remember that Guix now also has Tor mirrors which don't benefit from or
are hindered by HTTPS.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2022 01:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 21:50:18 2022
Received: from localhost ([127.0.0.1]:48078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBnze-000846-0O
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 21:50:18 -0400
Received: from mail-qk1-f182.google.com ([209.85.222.182]:39654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oBnzc-00083q-Fm
 for control <at> debbugs.gnu.org; Wed, 13 Jul 2022 21:50:17 -0400
Received: by mail-qk1-f182.google.com with SMTP id o26so290608qkl.6
 for <control <at> debbugs.gnu.org>; Wed, 13 Jul 2022 18:50:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=date:message-id:to:from:subject;
 bh=gvNpykkq7qqEqlgbO/Dpf05deeMhb6uvDHq/CaLMIEQ=;
 b=TB8nDqIzot0DrrWszuLPGlBG4FlNQh2msjwknpy32Gd52DZZSqhHCHcg/RBB5eVtja
 0Jj+ExR4GCAFJoP9afhTpCsPpy93r1GATCpjLlSXdt3icRE5uyYnt0oXRdlYW/fLkKbN
 ZzJrHj9Qr7m2knwn1m0im/5xtfriAxWoy66lXc+pGquGxOwWyA+jWSXgJDeVYQNXYMO0
 1bJ1TyjmIItQlquIhO3ruwEh70VFfyg9tQmz4wh4QklJsZs8VwySoK3ucOK2Kmo5S6rJ
 GePzZoJ+4dvrCUNbEj6jUjsbMu/cpISSEPyKmUMPD+i0kWI0wHq17Ca1iSnKOl5IyRRj
 Xnxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:date:message-id:to:from:subject;
 bh=gvNpykkq7qqEqlgbO/Dpf05deeMhb6uvDHq/CaLMIEQ=;
 b=FRc+PcjISDBQx+FZbYV1DL0DUG+pWm1unBUGAOA7wZ5BYo9VsS3eOJn33MO+xSuEgL
 6EN+28iQdEXfzO7bxuM5XyGN/5GRMyCWRtyu2oW0VxKFKpTLflJ7Qd8iJD9uCt0z3fRJ
 9daZSk7faEOAFLAZwXRmvXwuS3WDOz7SIgCYcKz3TQv5Hnsw7y+P/TBxExTzhEV4j9dz
 lv6D+vmrRdTyvswfSl/o5kPfnMpbA4ifn8VfJg0ircgExGjyMRvAULerFGqKt/Uxcecm
 Dr5xIlxApJI8K9kdMGx9YpWBBeDtyR4vvnA6jQk+gsYJIKxAQBsHMu3cz9Hmqc8GZQ0T
 UKrA==
X-Gm-Message-State: AJIora/sfvPBQ7veHsRJRGy1mMvJlNJ0JPtP137ZJ+Rv8gBldhjLawP8
 Y+uCz0Ply2f9qpGirtyHFi5y/FGahuD+JL7T
X-Google-Smtp-Source: AGRyM1tESfhekJUhqE1e3nrMwEwlCPFzk4JD+4qoHMDSJ3cVJ4UioQIYTYL1AEB83MgvKRoZtbK/6Q==
X-Received: by 2002:a37:4141:0:b0:67e:933e:54b6 with SMTP id
 o62-20020a374141000000b0067e933e54b6mr4503356qka.428.1657763410694; 
 Wed, 13 Jul 2022 18:50:10 -0700 (PDT)
Received: from hurd (dsl-10-133-49.b2b2c.ca. [72.10.133.49])
 by smtp.gmail.com with ESMTPSA id
 u7-20020a05620a430700b006af50b6f10csm275420qko.61.2022.07.13.18.50.10
 for <control <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jul 2022 18:50:10 -0700 (PDT)
Date: Wed, 13 Jul 2022 21:50:09 -0400
Message-Id: <87wncgzcmm.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: control message for bug #56512
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

owner 56512 !
quit





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: gnu.org does not redirect http to https
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 14 Jul 2022 01:58:02 +0000
Resent-Message-ID: <handler.56512.B56512.165776382531719 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ronak B <ronakworks@HIDDEN>
Cc: Julien Lepiller <julien@HIDDEN>, GNU Debbugs <control <at> debbugs.gnu.org>, 56512 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.165776382531719
          (code B ref 56512); Thu, 14 Jul 2022 01:58:02 +0000
Received: (at 56512) by debbugs.gnu.org; 14 Jul 2022 01:57:05 +0000
Received: from localhost ([127.0.0.1]:48086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBo6D-0008FW-3L
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 21:57:05 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:37594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1oBo67-0008Eh-2n; Wed, 13 Jul 2022 21:57:00 -0400
Received: by mail-qt1-f171.google.com with SMTP id j27so424374qtv.4;
 Wed, 13 Jul 2022 18:56:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=Lc3rmYi3OjBITmNwPttTyzszEw6/KmP7MzQhplemH0Ybc3Rnhfp1cm6t8evTlyjgPN
 tBWOrLiMCmgzAPk77Ii+AFsNhCDXNyKcigG2AHuZ1TBzfRopFIiRxSR96uyFYbuv9REo
 +zIrO5ICMUj+TmRvklu7QAsatz2OFlV7ZO/5yFrwJLLH0GP2vt1WpDOfDc68QTglHslZ
 hsv9fkTvxUtFNG3rJTmefzm9ZqFzmYAw0FjjOfFI71tTlo1Qr0D5fw3D5tLYCB5XC2TX
 FYvypohiTAdW+Ef9prv3PQ6g1WJQk4pERtQPp4t6ovptoHMuXns9+fk0bx3X5Z/srIhC
 rD0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=nb0LrUxuq/P+XRW8318KhtN7XXNxQfOr/hWbh2RFBL9ZNBm/W5VXZERCyHE9/Y/4Nt
 L6DxZ1K4N3EbZygzJZJwZUA8+JbDa6z+Na51hMM5drF7Eya+z2HGS5Xs3jIUBArRwJhg
 JErfGwcjQN1fRtS7yvGh8i9+d59drrfMWnz7JYhUaoq1KFCJyMF60o+lp221Sky4VBkS
 Iq0BcKi6zVCbZxfvUPxh8oqFjVEym7ItM0I9N9utULJgWbFSucIIwrmG+5NlgyMf8rP4
 E4J2mpTVak5LNhGMnq+86c/JT9EV5V+LVOKjv4DUEGWsmZi0KU6X45Ck00FQTSPTV9Nq
 7B2g==
X-Gm-Message-State: AJIora+9jwee94ozhP30sHgcJN8XzvMEzV6+PjkcmH8vAMyekdt0DIuB
 a75IuaglZYf3pBGGmds1apWKdN8A8yqYsJz8
X-Google-Smtp-Source: AGRyM1vEhDo5Y/cV+RDeJSB/q+lIAPqBMGS+b8yrOtw6LXOrcvDtgNheK9Z97TNKrOzMoP2QDmOq7g==
X-Received: by 2002:ac8:5e0b:0:b0:317:ac56:8385 with SMTP id
 h11-20020ac85e0b000000b00317ac568385mr5923186qtx.611.1657763813032; 
 Wed, 13 Jul 2022 18:56:53 -0700 (PDT)
Received: from hurd (dsl-10-133-49.b2b2c.ca. [72.10.133.49])
 by smtp.gmail.com with ESMTPSA id
 t21-20020a05620a451500b006af37b005bdsm241014qkp.128.2022.07.13.18.56.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jul 2022 18:56:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Date: Wed, 13 Jul 2022 21:56:51 -0400
In-Reply-To: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
 (Ronak B.'s message of "Tue, 12 Jul 2022 07:13:57 -0500")
Message-ID: <87tu7kzcbg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 56512 URLs in coreutils manuals documentation should use HTTPS
reassign 56512 coreutils
thanks

Hi Ronak,

Ronak B <ronakworks@HIDDEN> writes:

> Thank you for the quick replies. Ok I will email the GNU project with
> regard to the lack of a redirect.

> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?

OK.  I'm re-titling the issue accordingly and reassign it to the
coreutils package, since this is where the change should be made if
accepted.

To coreutils maintainers: the suggested change would be to adjust URLs
everywhere in the documentation of coreutils to use HTTPS rather than
HTTP.

Thanks,

Maxim




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2022 01:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 21:57:02 2022
Received: from localhost ([127.0.0.1]:48084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBo69-0008FB-MO
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 21:57:02 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:37594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1oBo67-0008Eh-2n; Wed, 13 Jul 2022 21:57:00 -0400
Received: by mail-qt1-f171.google.com with SMTP id j27so424374qtv.4;
 Wed, 13 Jul 2022 18:56:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=Lc3rmYi3OjBITmNwPttTyzszEw6/KmP7MzQhplemH0Ybc3Rnhfp1cm6t8evTlyjgPN
 tBWOrLiMCmgzAPk77Ii+AFsNhCDXNyKcigG2AHuZ1TBzfRopFIiRxSR96uyFYbuv9REo
 +zIrO5ICMUj+TmRvklu7QAsatz2OFlV7ZO/5yFrwJLLH0GP2vt1WpDOfDc68QTglHslZ
 hsv9fkTvxUtFNG3rJTmefzm9ZqFzmYAw0FjjOfFI71tTlo1Qr0D5fw3D5tLYCB5XC2TX
 FYvypohiTAdW+Ef9prv3PQ6g1WJQk4pERtQPp4t6ovptoHMuXns9+fk0bx3X5Z/srIhC
 rD0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=nb0LrUxuq/P+XRW8318KhtN7XXNxQfOr/hWbh2RFBL9ZNBm/W5VXZERCyHE9/Y/4Nt
 L6DxZ1K4N3EbZygzJZJwZUA8+JbDa6z+Na51hMM5drF7Eya+z2HGS5Xs3jIUBArRwJhg
 JErfGwcjQN1fRtS7yvGh8i9+d59drrfMWnz7JYhUaoq1KFCJyMF60o+lp221Sky4VBkS
 Iq0BcKi6zVCbZxfvUPxh8oqFjVEym7ItM0I9N9utULJgWbFSucIIwrmG+5NlgyMf8rP4
 E4J2mpTVak5LNhGMnq+86c/JT9EV5V+LVOKjv4DUEGWsmZi0KU6X45Ck00FQTSPTV9Nq
 7B2g==
X-Gm-Message-State: AJIora+9jwee94ozhP30sHgcJN8XzvMEzV6+PjkcmH8vAMyekdt0DIuB
 a75IuaglZYf3pBGGmds1apWKdN8A8yqYsJz8
X-Google-Smtp-Source: AGRyM1vEhDo5Y/cV+RDeJSB/q+lIAPqBMGS+b8yrOtw6LXOrcvDtgNheK9Z97TNKrOzMoP2QDmOq7g==
X-Received: by 2002:ac8:5e0b:0:b0:317:ac56:8385 with SMTP id
 h11-20020ac85e0b000000b00317ac568385mr5923186qtx.611.1657763813032; 
 Wed, 13 Jul 2022 18:56:53 -0700 (PDT)
Received: from hurd (dsl-10-133-49.b2b2c.ca. [72.10.133.49])
 by smtp.gmail.com with ESMTPSA id
 t21-20020a05620a451500b006af37b005bdsm241014qkp.128.2022.07.13.18.56.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jul 2022 18:56:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ronak B <ronakworks@HIDDEN>
Subject: Re: bug#56512: gnu.org does not redirect http to https
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Date: Wed, 13 Jul 2022 21:56:51 -0400
In-Reply-To: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
 (Ronak B.'s message of "Tue, 12 Jul 2022 07:13:57 -0500")
Message-ID: <87tu7kzcbg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
Cc: Julien Lepiller <julien@HIDDEN>, GNU Debbugs <control <at> debbugs.gnu.org>,
 56512 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 56512 URLs in coreutils manuals documentation should use HTTPS
reassign 56512 coreutils
thanks

Hi Ronak,

Ronak B <ronakworks@HIDDEN> writes:

> Thank you for the quick replies. Ok I will email the GNU project with
> regard to the lack of a redirect.

> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?

OK.  I'm re-titling the issue accordingly and reassign it to the
coreutils package, since this is where the change should be made if
accepted.

To coreutils maintainers: the suggested change would be to adjust URLs
everywhere in the documentation of coreutils to use HTTPS rather than
HTTP.

Thanks,

Maxim




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2022 01:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 21:57:02 2022
Received: from localhost ([127.0.0.1]:48084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBo69-0008FB-MO
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 21:57:02 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:37594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1oBo67-0008Eh-2n; Wed, 13 Jul 2022 21:57:00 -0400
Received: by mail-qt1-f171.google.com with SMTP id j27so424374qtv.4;
 Wed, 13 Jul 2022 18:56:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=Lc3rmYi3OjBITmNwPttTyzszEw6/KmP7MzQhplemH0Ybc3Rnhfp1cm6t8evTlyjgPN
 tBWOrLiMCmgzAPk77Ii+AFsNhCDXNyKcigG2AHuZ1TBzfRopFIiRxSR96uyFYbuv9REo
 +zIrO5ICMUj+TmRvklu7QAsatz2OFlV7ZO/5yFrwJLLH0GP2vt1WpDOfDc68QTglHslZ
 hsv9fkTvxUtFNG3rJTmefzm9ZqFzmYAw0FjjOfFI71tTlo1Qr0D5fw3D5tLYCB5XC2TX
 FYvypohiTAdW+Ef9prv3PQ6g1WJQk4pERtQPp4t6ovptoHMuXns9+fk0bx3X5Z/srIhC
 rD0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=9k5IZXkX8AIPL/1KsVE+ewdfCysmdctrz7z6Qs01SgU=;
 b=nb0LrUxuq/P+XRW8318KhtN7XXNxQfOr/hWbh2RFBL9ZNBm/W5VXZERCyHE9/Y/4Nt
 L6DxZ1K4N3EbZygzJZJwZUA8+JbDa6z+Na51hMM5drF7Eya+z2HGS5Xs3jIUBArRwJhg
 JErfGwcjQN1fRtS7yvGh8i9+d59drrfMWnz7JYhUaoq1KFCJyMF60o+lp221Sky4VBkS
 Iq0BcKi6zVCbZxfvUPxh8oqFjVEym7ItM0I9N9utULJgWbFSucIIwrmG+5NlgyMf8rP4
 E4J2mpTVak5LNhGMnq+86c/JT9EV5V+LVOKjv4DUEGWsmZi0KU6X45Ck00FQTSPTV9Nq
 7B2g==
X-Gm-Message-State: AJIora+9jwee94ozhP30sHgcJN8XzvMEzV6+PjkcmH8vAMyekdt0DIuB
 a75IuaglZYf3pBGGmds1apWKdN8A8yqYsJz8
X-Google-Smtp-Source: AGRyM1vEhDo5Y/cV+RDeJSB/q+lIAPqBMGS+b8yrOtw6LXOrcvDtgNheK9Z97TNKrOzMoP2QDmOq7g==
X-Received: by 2002:ac8:5e0b:0:b0:317:ac56:8385 with SMTP id
 h11-20020ac85e0b000000b00317ac568385mr5923186qtx.611.1657763813032; 
 Wed, 13 Jul 2022 18:56:53 -0700 (PDT)
Received: from hurd (dsl-10-133-49.b2b2c.ca. [72.10.133.49])
 by smtp.gmail.com with ESMTPSA id
 t21-20020a05620a451500b006af37b005bdsm241014qkp.128.2022.07.13.18.56.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Jul 2022 18:56:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ronak B <ronakworks@HIDDEN>
Subject: Re: bug#56512: gnu.org does not redirect http to https
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
Date: Wed, 13 Jul 2022 21:56:51 -0400
In-Reply-To: <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
 (Ronak B.'s message of "Tue, 12 Jul 2022 07:13:57 -0500")
Message-ID: <87tu7kzcbg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
Cc: Julien Lepiller <julien@HIDDEN>, GNU Debbugs <control <at> debbugs.gnu.org>,
 56512 <at> debbugs.gnu.org, Akib Azmain Turja <akib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

retitle 56512 URLs in coreutils manuals documentation should use HTTPS
reassign 56512 coreutils
thanks

Hi Ronak,

Ronak B <ronakworks@HIDDEN> writes:

> Thank you for the quick replies. Ok I will email the GNU project with
> regard to the lack of a redirect.

> I think we should change the man doc at least in all coreutils to use https in the links instead of http. 
>
> Can we repurpose this ticket for that work or should we create a separate ticket to update the man docs?

OK.  I'm re-titling the issue accordingly and reassign it to the
coreutils package, since this is where the change should be made if
accepted.

To coreutils maintainers: the suggested change would be to adjust URLs
everywhere in the documentation of coreutils to use HTTPS rather than
HTTP.

Thanks,

Maxim




Message sent to bug-coreutils@HIDDEN, Maxim Cournoyer <maxim.cournoyer@HIDDEN>:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56512: URLs in coreutils manuals documentation should use HTTPS
Resent-From: Stefan Kangas <stefankangas@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Resent-Date: Sun, 18 Sep 2022 14:31:01 +0000
Resent-Message-ID: <handler.56512.B56512.166351143123153 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56512
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: Ronak B <ronakworks@HIDDEN>, 56512 <at> debbugs.gnu.org, Julien Lepiller <julien@HIDDEN>, Akib Azmain Turja <akib@HIDDEN>
Received: via spool by 56512-submit <at> debbugs.gnu.org id=B56512.166351143123153
          (code B ref 56512); Sun, 18 Sep 2022 14:31:01 +0000
Received: (at 56512) by debbugs.gnu.org; 18 Sep 2022 14:30:31 +0000
Received: from localhost ([127.0.0.1]:50946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZvJW-00061K-Je
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 10:30:31 -0400
Received: from mail-oi1-f176.google.com ([209.85.167.176]:35442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oZvJU-00060e-1f
 for 56512 <at> debbugs.gnu.org; Sun, 18 Sep 2022 10:30:29 -0400
Received: by mail-oi1-f176.google.com with SMTP id v130so11716270oie.2
 for <56512 <at> debbugs.gnu.org>; Sun, 18 Sep 2022 07:30:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:user-agent:references
 :in-reply-to:from:from:to:cc:subject:date;
 bh=6kOr9pY6NAmIWvGGmlaQL4xvAGa/OTPlduB6u7Fnja0=;
 b=Ly84x3V6BKAfYwf2HoRhqPgBDbubPFwCZC7BRUe1xcU0YidBx83/F0uAHDK1Qba0zt
 eOtgI22RuFpw/6vDo9MWuvvy6SlcW/nyvkJStsimtDD5qJJCUm34SmS2Dkw9Nl1zYSxY
 tQOjN+xUxlRFx4In7SSxFRKo7CETP1h8mhBzqpFwt/q47N/8dQSCpGtqKQsE5ktMyqK2
 3Mlv+GMETXR9gV0032UAL+Ugxo2cvA/zBcZAdmMCnb1be+xEgzZKB8DeRJv/e6XaedM8
 m8MCxQKgZKutvE9WwFErW7DDojtOkygIp28il1vVw5bn7vWh90r7K6QaJVnRMh5dvBk0
 1fzA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:user-agent:references
 :in-reply-to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=6kOr9pY6NAmIWvGGmlaQL4xvAGa/OTPlduB6u7Fnja0=;
 b=HBmouO9WoKCU01veLEkNrUrS7FJRbD6XyX12wuhgEMgRHxlf+zwa5a8hxTrYjC30ZX
 3FavuG2O2jeYRyNG4oWf5IG+wVyKP4O4E3C8z/ccGbb6VsTABGzMG4EQQAgfoFa/pz72
 8H2o/Ra2bGGdnK+jqu+H2lxUNiRBA3FeKfMlPEuLtSsYOz2EFsKp+rSIpAVmwju4j3vP
 znx6IxBJhXRCnXfXqAXt8mq0rdTVfIuJ0GJEsRoqA53GF0PdKcv+S9F+5X+LLsElmnda
 e5/fk9mzaPyCasWzGAN8m3b1Xfbn0GFB6r4RoIraw3NcnKPE/OZ/Zhh+MQavSshdcSs/
 C65A==
X-Gm-Message-State: ACgBeo0IZfA/GJGjIXdszWQXYwWm8QX9EmZ3x5ogeg++20WbxBMfBIyH
 RoQjh2Ueg9m9abzmZeOx6yxQ5EHwLjWabjyGg4E=
X-Google-Smtp-Source: AA6agR4S2S7IKZq6Q6hvQyIfZe51FXTcmyFwYZ2yKTEdMi56EbF7ilxl8USGCp3Y2CQo0MSSx2awIuNjv72CS/qEpxc=
X-Received: by 2002:a05:6808:1a09:b0:350:1e6a:e469 with SMTP id
 bk9-20020a0568081a0900b003501e6ae469mr8941020oib.92.1663511422601; Sun, 18
 Sep 2022 07:30:22 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Sep 2022 10:30:21 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87tu7kzcbg.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 13
 Jul 2022 21:56:51 -0400")
References: <CAA9yktOCdfd7mhaj_Twt+A2_b+d0_+9WznKsdUUP6Dk2r7mvaQ@HIDDEN>
 <A1E852D6-E452-4EE8-816A-CBB3256B461E@HIDDEN>
 <87czea1tk6.fsf@HIDDEN>
 <CAA9yktMowZnTcc4Kxz+MbBBvXa6XV+WKGRbd66MpZUQeyH+LRw@HIDDEN>
 <87tu7kzcbg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
X-Hashcash: 1:20:220918:ronakworks@HIDDEN::HEfpVxg1gNj4Zcc8:B9gL
MIME-Version: 1.0
Date: Sun, 18 Sep 2022 10:30:21 -0400
Message-ID: <CADwFkmmj=VEg9LSTML0RLPvhLP07XL23K71mENVx5uFKGxhNAQ@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000006ca22905e8f46f73"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000006ca22905e8f46f73
Content-Type: text/plain; charset="UTF-8"

tags 56512 + patch
thanks

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> To coreutils maintainers: the suggested change would be to adjust URLs
> everywhere in the documentation of coreutils to use HTTPS rather than
> HTTP.

Most of these were already fixed in commit be87d6129 and subsequently.

The attached patch fixes all remaining HTTP links in the tree where the
links still worked when using HTTPS, in my testing.

--0000000000006ca22905e8f46f73
Content-Type: text/x-diff; charset="US-ASCII"; name="0001-all-prefer-HTTPS-to-HTTP.patch"
Content-Disposition: attachment; 
	filename="0001-all-prefer-HTTPS-to-HTTP.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 9f50e8303b16e2c5_0.1
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--0000000000006ca22905e8f46f73--





Last modified: Sun, 18 Sep 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.